# saga::uuid Class Reference

Brief description starts here. More...

`#include <uuid.hpp>`

List of all members.

## Public Member Functions
| uuid (void)
| Brief description starts here.
| uuid (char const *uuid_str)
| Brief description starts here.
std::string | string (void) const
| Brief description starts here.
## Friends
bool | operator== (const uuid &lhs, const uuid &rhs)
| Brief description starts here.
bool | operator!= (const uuid &lhs, const uuid &rhs)
| Brief description starts here.
bool | operator< (const uuid &lhs, const uuid &rhs)
| Brief description starts here.
bool | operator> (const uuid &lhs, const uuid &rhs)
| Brief description starts here.
bool | operator<= (const uuid &lhs, const uuid &rhs)
| Brief description starts here.
bool | operator>= (const uuid &lhs, const uuid &rhs)
| Brief description starts here.
std::ostream & | operator<< (std::ostream &ostrm, const uuid &rhs)
| Brief description starts here.
std::istream & | operator>> (std::istream &istrm, uuid &rhs)
| Brief description starts here.

## Detailed Description

Brief description starts here.

## Constructor & Destructor Documentation

saga::uuid::uuid | ( | void |  | ) |

Brief description starts here.

saga::uuid::uuid | ( | char const * | uuid_str | ) |

Brief description starts here.

## Member Function Documentation

std::string saga::uuid::string | ( | void |  | ) | const

Brief description starts here.

## Friends And Related Function Documentation

bool operator== | ( | const uuid & | lhs,
|  | const uuid & | rhs |
| ) |  |  | `[friend]`

Brief description starts here.

bool operator!= | ( | const uuid & | lhs,
|  | const uuid & | rhs |
| ) |  |  | `[friend]`

Brief description starts here.

bool operator< | ( | const uuid & | lhs,
|  | const uuid & | rhs |
| ) |  |  | `[friend]`

Brief description starts here.

bool operator> | ( | const uuid & | lhs,
|  | const uuid & | rhs |
| ) |  |  | `[friend]`

Brief description starts here.

bool operator<= | ( | const uuid & | lhs,
|  | const uuid & | rhs |
| ) |  |  | `[friend]`

Brief description starts here.

bool operator>= | ( | const uuid & | lhs,
|  | const uuid & | rhs |
| ) |  |  | `[friend]`

Brief description starts here.

std::ostream& operator<< | ( | std::ostream & | ostrm,
|  | const uuid & | rhs |
| ) |  |  | `[friend]`

Brief description starts here.

std::istream& operator>> | ( | std::istream & | istrm,
|  | uuid & | rhs |
| ) |  |  | `[friend]`

Brief description starts here.

The documentation for this class was generated from the following files:

- uuid.hpp
- uuid.cpp